UnsignedInt (Axis API)
Keywords: org.apache.axis.types.UnsignedInt class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class UnsignedInt

    java.lang.Object
      java.lang.Number
          org.apache.axis.types.UnsignedInt

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

Direct Known Subclasses:
  UnsignedShort

public class UnsignedInt
extends java.lang.Number
implements java.lang.Comparable

Custom class for supporting primitive XSD data type UnsignedInt

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.22, Serialized Form

Field Summary
`protected java.lang.Long` | `lValue`

Constructor Summary
`UnsignedInt()`
`UnsignedInt(long iValue)` ctor for UnsignedInt
`UnsignedInt(java.lang.String stValue)`

Method Summary
`byte` | `byteValue()`
`int` | `compareTo(java.lang.Object obj)`
`double` | `doubleValue()`
`boolean` | `equals(java.lang.Object obj)`
`float` | `floatValue()`
`int` | `hashCode()`
`int` | `intValue()`
`static boolean` | `isValid(long iValue)` validate the value against the xsd definition
`long` | `longValue()`
`void` | `setValue(long iValue)` validates the data and sets the value for the object.
`short` | `shortValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### lValue

    protected java.lang.Long lValue

Constructor Detail

### UnsignedInt

    public UnsignedInt()

### UnsignedInt

    public UnsignedInt(long iValue)
                throws java.lang.NumberFormatException

  ctor for UnsignedInt

Throws:
  `java.lang.NumberFormatException` - will be thrown if validation fails

### UnsignedInt

    public UnsignedInt(java.lang.String stValue)
                throws java.lang.NumberFormatException

Method Detail

### setValue

    public void setValue(long iValue)
                  throws java.lang.NumberFormatException

  validates the data and sets the value for the object.

  Parameters:
    `iValue` - value
  Throws:
    `java.lang.NumberFormatException`

### toString

    public java.lang.String toString()

### hashCode

    public int hashCode()

### isValid

    public static boolean isValid(long iValue)

  validate the value against the xsd definition

### equals

    public boolean equals(java.lang.Object obj)

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### byteValue

    public byte byteValue()

### shortValue

    public short shortValue()

### intValue

    public int intValue()

### longValue

    public long longValue()

### doubleValue

    public double doubleValue()

### floatValue

    public float floatValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.